org.onap.datatypes.ecord.evc.endpoint_uni_role:
  derived_from: tosca.datatypes.Root
  description: ECORD EVC endpoint
  properties:
    UNI_endpoint:
      type: string
      description: UNI endpoint (domain/port)
      required: false
      status: SUPPORTED
    UNI_role:
      type: string
      description: UNI role (ROOT/LEAF) 
      required: false
      status: SUPPORTED
      default: ROOT
      constraints:
      - valid_values:
        - ROOT
        - LEAF

org.onap.datatypes.ecord.evc.type:
  derived_from: tosca.datatypes.Root
  description: ECORD EVC type
  properties:
    EVC_type:
      type: string
      description: E-Line, E-Tree or E-LAN (POINT_TO_POINT, ROOT_MULTIPOINT, MULTIPOINT_TO_MULTIPOINT)
      required: false
      status: SUPPORTED
      default: POINT_TO_POINT
      constraints:
      - valid_values:
        - POINT_TO_POINT
        - ROOT_MULTIPOINT
        - MULTIPOINT_TO_MULTIPOINT


org.onap.datatypes.ecord.evc.bwp:
  derived_from: tosca.datatypes.Root
  description: ECORD EVC BandWidth Profile
  properties:
    CIR:
      type: integer
      description: Committed Information Rate
      required: false
      status: SUPPORTED
    EIR:
      type: integer
      description: Excess Information Rate
      required: false
      status: SUPPORTED
    CBS:
      type: integer
      description: Committed Burst Size
      required: false
      status: SUPPORTED
    EBS:
      type: integer
      description: Excess Burst Size
      required: false
      status: SUPPORTED

org.onap.datatypes.ecord.evc.ctag:
  derived_from: tosca.datatypes.Root
  description: ECORD EVC C-Tag
  properties:
    C-Tag:
      type: integer
      description: Customer VLAN tag
      required: false
      status: SUPPORTED
      constraints:
      - in_range: [ 0, 4095 ]
